当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : eric在gnome下的自动补全问题是否有解?
帖子发表于 : 2009-08-10 12:48 

注册: 2008-01-29 11:03
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
今天在ubuntu9.04上装eric(eric4-4.4, qt4.5, qscintilla2.3.2)。自动补全总是不行,到google上一查,这个问题还很著名。不知现在有没有方法或窍门解决这个问题。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: eric在gnome下的自动补全问题是否有解?
帖子发表于 : 2009-08-31 6:50 
头像

注册: 2006-11-08 20:46
帖子: 200
送出感谢: 1
接收感谢: 1
安装源里的eric eric-api-files是4.3.0的不能用,出现:
Traceback (most recent call last):
File "/usr/share/eric/modules/eric4.py", line 19, in <module>
from PyQt4.QtCore import QTextCodec, SIGNAL, SLOT, qWarning, \
RuntimeError: the sip module implements API v6.0 but the PyQt4.QtCore module requires API v3.8


页首
 用户资料  
 
3 楼 
 文章标题 : Re: eric在gnome下的自动补全问题是否有解?
帖子发表于 : 2009-08-31 7:38 
头像

注册: 2006-11-08 20:46
帖子: 200
送出感谢: 1
接收感谢: 1
楼主是怎么安装eric4的?ubuntu9.04+Qt4.5+PyQt4.4+sip4.7.9+python-qscintilla2+libqscintilla2-3出现下面错误安装不上:
ubuntu:~/eric4-4.4-snapshot-20090821$ sudo python install.py
Checking dependencies
Python Version: 2.6.2
An internal error occured. Please report all the output of the program,
including the following traceback, to eric4-bugs@die-offenbachs.de.

Traceback (most recent call last):
File "install.py", line 684, in <module>
main(sys.argv)
File "install.py", line 618, in main
doDependancyChecks()
File "install.py", line 501, in doDependancyChecks
from PyQt4.QtCore import qVersion, PYQT_VERSION
RuntimeError: the sip module implements API v6.0 but the PyQt4.QtCore module requires API v3.8


页首
 用户资料  
 
4 楼 
 文章标题 : Re: eric在gnome下的自动补全问题是否有解?
帖子发表于 : 2009-08-31 7:42 
头像

注册: 2007-07-30 18:28
帖子: 22033
地址: 空气中
系统: Linux
送出感谢: 17
接收感谢: 68
使用KDE4的ppa就可以了吧?


_________________
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议


页首
 用户资料  
 
5 楼 
 文章标题 : Re: eric在gnome下的自动补全问题是否有解?
帖子发表于 : 2009-08-31 13:24 
头像

注册: 2006-11-08 20:46
帖子: 200
送出感谢: 1
接收感谢: 1
是这个吗?
deb http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu jaunty main

gpg --keyserver wwwkeys.pgp.net --recv 881574DE
gpg --export --armor 881574DE | sudo apt-key add -
sudo apt-get update


页首
 用户资料  
 
6 楼 
 文章标题 : Re: eric在gnome下的自动补全问题是否有解?
帖子发表于 : 2009-09-02 19:39 
头像

注册: 2006-11-08 20:46
帖子: 200
送出感谢: 1
接收感谢: 1
原来是BUG先:
代码:
1.sudo apt-get remove eric eric-api-files libqscintilla2-5 python-qscintilla2 python-qt4 python-sip4

引用:
2.Change the apt sources.list from karmic to jaunty


代码:
3.sudo apt-get update


代码:
4.sudo apt-get install eric eric-api-files libqscintilla2-3 python-qscintilla2 python-qt4 python-sip4




引用:
5.After that you could probably switch to karmic again, but ofcourse the package management would like to update the jaunty-packages again, so be aware of that.


Just look at this link:

https://bugs.launchpad.net/ubuntu/+source/eric/+bug/380701


ok
附件:
eric4-3.png
eric4-3.png [ 32 KiB | 被浏览 1199 次 ]


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译